using JetBrains.Annotations;
using PkmnLib.Static.Utils;

namespace PkmnLib.Dynamic.ScriptHandling;

[AttributeUsage(AttributeTargets.Class)]
[MeansImplicitUse]
public class ScriptAttribute : Attribute
{
    public ScriptCategory Category { get; }
    public StringKey Name { get; }
    
    public ScriptAttribute(ScriptCategory category, string name)
    {
        Category = category;
        Name = name;
    }
}